Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class DefaultRDFSDatatype

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.model.impl.DefaultRDFSDatatype

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, RDFSDatatype, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

    public class DefaultRDFSDatatype

extends DefaultRDFIndividual
implements RDFSDatatype

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`DefaultRDFSDatatype()`
`DefaultRDFSDatatype(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.
`boolean` | `equalsStructurally(RDFObject object)` Determines whether or not the specified class is structurally equal to this class.
`RDFSDatatype` | `getBaseDatatype()` If this is a user-defined datatype, then this method gets the restricted base type.
`String` | `getBrowserText()` Gets a human-readable visual representation of this resource.
`Object` | `getDefaultValue()` Creates a default value for this datatype (e.g.
`Icon` | `getIcon()`
`int` | `getLength()` Gets the value of the xsd:length facet of this (user-defined) datatype.
`RDFSLiteral` | `getMaxExclusive()` Gets the value of the xsd:maxExclusive facet of this (user-defined) datatype.
`RDFSLiteral` | `getMaxInclusive()` Gets the value of the xsd:maxInclusive facet of this (user-defined) datatype.
`int` | `getMaxLength()` Gets the value of the xsd:maxLength facet of this (user-defined) datatype.
`RDFSLiteral` | `getMinExclusive()` Gets the value of the xsd:minExclusive facet of this (user-defined) datatype.
`RDFSLiteral` | `getMinInclusive()` Gets the value of the xsd:minInclusive facet of this (user-defined) datatype.
`int` | `getMinLength()` Gets the value of the xsd:minLength facet of this (user-defined) datatype.
`String` | `getPattern()` Gets the value of the xsd:pattern facet of this (user-defined) datatype.
`boolean` | `isNumericDatatype()` Checks if this is a numeric type.
`boolean` | `isValidValue(RDFSLiteral object)` Checks if a given would be a valid value for this property.
`static Map` | `parse(OWLModel owlModel, String expression)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultRDFSDatatype

    public DefaultRDFSDatatype(edu.stanford.smi.protege.model.KnowledgeBase kb,
                               edu.stanford.smi.protege.model.FrameID id)

### DefaultRDFSDatatype

    public DefaultRDFSDatatype()

Method Detail

### accept

    public void accept(OWLModelVisitor visitor)

  Description copied from interface: `Visitable`
  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `DefaultRDFIndividual`
  Parameters:
    `visitor` - The visitor that will operate on this object.

### equalsStructurally

    public boolean equalsStructurally(RDFObject object)

  Description copied from interface: `RDFObject`
  Determines whether or not the specified class is structurally equal to this class. Note that this does not test for structural equivalence using structural subsumption tests.

  Specified by:
    `equalsStructurally` in interface `RDFObject`
  Overrides:
    `equalsStructurally` in class `DefaultRDFIndividual`
  Parameters:
    `object` - The class to test against.
  Returns:
    `true` if the class is structurally equal to this, `false` if the class is not structurally equal to this.

### getBaseDatatype

    public RDFSDatatype getBaseDatatype()

  Description copied from interface: `RDFSDatatype`
  If this is a user-defined datatype, then this method gets the restricted base type. Note: This experimental method should not be used yet.

  Specified by:
    `getBaseDatatype` in interface `RDFSDatatype`
  Returns:
    the base type or null

### getBrowserText

    public String getBrowserText()

  Description copied from interface: `RDFResource`
  Gets a human-readable visual representation of this resource. This is typically just the name of the resource, but for example, with anonymous class expressions this will return the full expression including special symbols.

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getBrowserText` in interface `ProtegeInstance`
  Specified by:
    `getBrowserText` in interface `RDFObject`
  Specified by:
    `getBrowserText` in interface `RDFResource`
  Overrides:
    `getBrowserText` in class `edu.stanford.smi.protege.model.DefaultInstance`
  Returns:
    the browser text

### getDefaultValue

    public Object getDefaultValue()

  Description copied from interface: `RDFSDatatype`
  Creates a default value for this datatype (e.g. Integer(0) for xsd:int).

  Specified by:
    `getDefaultValue` in interface `RDFSDatatype`
  Returns:
    a default value

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getIcon` in interface `ProtegeInstance`
  Overrides:
    `getIcon` in class `DefaultRDFIndividual`
  See Also:
    `ProtegeUI.getIcon(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getLength

    public int getLength()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:length facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Specified by:
    `getLength` in interface `RDFSDatatype`
  Returns:
    the length of this (string) datatype or -1 if none is defined

### getMaxExclusive

    public RDFSLiteral getMaxExclusive()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:maxExclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Specified by:
    `getMaxExclusive` in interface `RDFSDatatype`
  Returns:
    the exclusive maximum value of this datatype or null

### getMaxInclusive

    public RDFSLiteral getMaxInclusive()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:maxInclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Specified by:
    `getMaxInclusive` in interface `RDFSDatatype`
  Returns:
    the inclusive maximum value of this datatype or null

### getMaxLength

    public int getMaxLength()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:maxLength facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Specified by:
    `getMaxLength` in interface `RDFSDatatype`
  Returns:
    the maximum length of this (string) datatype or -1 if none is defined

### getMinExclusive

    public RDFSLiteral getMinExclusive()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:minExclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Specified by:
    `getMinExclusive` in interface `RDFSDatatype`
  Returns:
    the exclusive minimum value of this datatype or null

### getMinInclusive

    public RDFSLiteral getMinInclusive()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:minInclusive facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Specified by:
    `getMinInclusive` in interface `RDFSDatatype`
  Returns:
    the inclusive minimum value of this datatype or null

### getMinLength

    public int getMinLength()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:minLength facet of this (user-defined) datatype. Note: This experimental method should not be used yet.

  Specified by:
    `getMinLength` in interface `RDFSDatatype`
  Returns:
    the minimum length of this (string) datatype or -1 if none is defined

### getPattern

    public String getPattern()

  Description copied from interface: `RDFSDatatype`
  Gets the value of the xsd:pattern facet of this (user-defined) datatype. Patterns must be regular expressions. Note: This experimental method should not be used yet.

  Specified by:
    `getPattern` in interface `RDFSDatatype`
  Returns:
    the pattern or null if none is defined

### isNumericDatatype

    public boolean isNumericDatatype()

  Description copied from interface: `RDFSDatatype`
  Checks if this is a numeric type. This is for example needed to decide whether values shall be edited with left or right alignment.

  Specified by:
    `isNumericDatatype` in interface `RDFSDatatype`
  Returns:
    true if this is a numeric datatype (such as xsd:int)

### isValidValue

    public boolean isValidValue(RDFSLiteral object)

  Description copied from interface: `RDFSDatatype`
  Checks if a given would be a valid value for this property. This should check for XML Schema datatype facet violations.

  Specified by:
    `isValidValue` in interface `RDFSDatatype`
  Parameters:
    `object` - the potential value
  Returns:
    true if the object would be valid

### parse

    public static Map parse(OWLModel owlModel,
                            String expression)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.